Subject: RE: fork_helper: ResumeThread failed, rc = 2
From: "Dave Korn" <[email-masked]>
To: <[email-masked]>
Cc: <[email-masked]>
Date: Wed, 31 Oct 2007 20:21:25 -0000
List-Id: <cygwin.cygwin.com>

On 31 October 2007 05:08, gkishan wrote:

> Hi,

  Hi Kishan,  I'm moving this conversation across to the cygwin mailing list,
since the problems aren't caused by make or 'gcco' specifically, but are
related to the 
 
> The asked file has been attached with this mail.

  Right, this shows the most likely cause of your problem.  You have multiple
and conflicting versions of the cygwin DLL all in your PATH setting at the
same time.  Here is your path, from the cygcheck output:

Path:	C:\cygwin\usr\local\bin
	C:\cygwin\bin
	C:\cygwin\bin
	C:\cygwin\usr\X11R6\bin
	c:\STM\ST20R2.2.1\bin
	c:\WINDOWS\system32
	c:\WINDOWS
	c:\WINDOWS\System32\Wbem
	c:\OTVSDK\bin\
	c:\sys_en\OTV_3000\ST\BIN

And here are the cygwin DLLs it found:

 1830k 2007/01/31 C:\cygwin\bin\cygwin1.dll - os=4.0 img=1.0 sys=4.0
                  "cygwin1.dll" v0.0 ts=2007/1/31 15:28
    Cygwin DLL version info:
        DLL version: 1.5.24
        DLL epoch: 19
        DLL bad signal mask: 19005
        DLL old termios: 5
        DLL malloc env: 28
        API major: 0
        API minor: 156
        Shared data: 4
        DLL identifier: cygwin1
        Mount registry: 2
        Cygnus registry name: Cygnus Solutions
        Cygwin registry name: Cygwin
        Program options name: Program Options
        Cygwin mount registry name: mounts v2
        Cygdrive flags: cygdrive flags
        Cygdrive prefix: cygdrive prefix
        Cygdrive default prefix: 
        Build date: Wed Jan 31 10:57:51 CET 2007
        CVS tag: cr-0x5f1
        Shared id: cygwin1S4

  385k 1999/02/26 c:\OTVSDK\bin\cygwinb19.dll - os=4.0 img=1.0 sys=4.0
                  "cygwinb19.dll" v0.0 ts=1998/3/11 5:34
  446k 1999/10/28 c:\OTVSDK\bin\cygwin1.dll - os=4.0 img=1.0 sys=4.0
                  "cygwin1.dll" v0.0 ts=1998/12/4 10:09
    Cygwin DLL version info:
        DLL version: 2.0.1
        DLL epoch: 19
        DLL bad signal mask: 19005
        API major: 0
        API minor: 3
        Shared data: 1
        DLL identifier: cygwin
        Mount registry: 1
        Cygnus registry name: Cygnus Solutions
        Cygwin registry name: CYGWIN.DLL setup
        Program options name: Program Options
        Cygwin mount registry name: b15.0
        Build date: Thu Dec 3 20:39:18 PST 1998
        CVS taggnu-win32-b20-branch: 
        Shared id: cygwinS1

Warning: There are multiple cygwin1.dlls on your path

  So I think there is a conflict between your main cygwin installation
C:\cygwin, which is up-to-date (v1.5.24), and the one in the OTV SDK.  You
could probably fix things by moving the OTVSDK version of cygwin1.dll out of
the way, or perhaps by making sure you only have OTVSDK /OR/ C:\cygwin in your
PATH at any one time, never both together, and making sure you never have
applications from both running at the same time.  I'm not sure which one of
the installs you are trying to use; is it the OTVSDK that you were working
with when you had problems with 'make'?

    cheers,
      DaveK
-- 
Can't think of a witty .sigline today....

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/